%define api 1.7
%define major 0
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Summary: 	Common C++ RTP stack
Name: 	 	ccrtp
Version: 	1.7.1
Release: 	%mkrel 3
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.gnu.org/software/ccrtp/
Source0:	ftp://ftp.gnu.org/pub/gnu/ccrtp/%{name}-%{version}.tar.gz
BuildRequires:	libCommonC++-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	doxygen
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Common C++ RTP stack

%package -n 	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries
Provides:	%{name} = %version
Obsoletes:	%{mklibname ccrtp 1} < %{version}-%{release}

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n 	%{develname}
Summary: 	Header files and static libraries from %{name}
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d ccrtp 1.5}

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q

%build
export CXXFLAGS="-fpermissive %{optflags}"
%configure2_5x
%make LIBTOOL=%_bindir/libtool

%install
rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%post -n %{develname}
%_install_info %{name}.info

%postun -n %{develname}
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_infodir}/*




%changelog
* Wed Feb 24 2010 Angelo Naselli <anaselli@mandriva.org> 1.7.1-3mdv2010.1
+ Revision: 510731
- rebuilt against new commoncpp2 1.8

* Thu Sep 10 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.7.1-2mdv2010.0
+ Revision: 436954
- rebuild

* Wed Feb 11 2009 Emmanuel Andry <eandry@mandriva.org> 1.7.1-1mdv2009.1
+ Revision: 339570
- New version 1.7.1

* Fri Dec 26 2008 Emmanuel Andry <eandry@mandriva.org> 1.7.0-1mdv2009.1
+ Revision: 319399
- New version
- New API and major

* Wed Oct 22 2008 Funda Wang <fwang@mandriva.org> 1.6.2-3mdv2009.1
+ Revision: 296526
- rename lib package according to lib policy

* Wed Oct 22 2008 Funda Wang <fwang@mandriva.org> 1.6.2-2mdv2009.1
+ Revision: 296509
- obsoletes old devel package
- use our own libtool

* Mon Aug 25 2008 Emmanuel Andry <eandry@mandriva.org> 1.6.2-1mdv2009.0
+ Revision: 275786
- New version
- fix license

* Sun Aug 17 2008 Emmanuel Andry <eandry@mandriva.org> 1.6.1-1mdv2009.0
+ Revision: 272960
- New version
- change major

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Feb 10 2008 Emmanuel Andry <eandry@mandriva.org> 1.6.0-1mdv2008.1
+ Revision: 164771
- New version
- new devel policy
- fix major

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.5.1-2mdv2008.1
+ Revision: 134188
- rebuild
- kill re-definition of %%buildroot on Pixel's request


* Tue Jan 09 2007 Lenny Cartier <lenny@mandriva.com> 1.5.1-1mdv2007.0
+ Revision: 106662
- Update to 1.5.1

* Tue Dec 12 2006 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-2mdv2007.1
+ Revision: 95694
- fix deps

  + Lenny Cartier <lenny@mandriva.com>
    - Update to 1.5.0
    - Import ccrtp

